Bug 500754 - Inactive array causes "raid level sda1[0] (in /proc/mdstat) not recognized"
Inactive array causes "raid level sda1[0] (in /proc/mdstat) not recognized"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 19:04 EDT by Jason Tibbitts
Modified: 2010-01-12 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:32:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2009-05-13 19:04:56 EDT
Just received the following when updating the kernel on my x86_64 rawhide machine that uses software raid:

  Installing     : kernel                                            8/39
raid level sda1[0] (in /proc/mdstat) not recognized
cp: cannot stat `/usr/share/plymouth/themes/text/text.plymouth': No such file or directory
cp: cannot stat `/usr/share/plymouth/themes/details/details.plymouth': No such file or directory
grep: /usr/share/plymouth/themes/.plymouth/.plymouth.plymouth: No such file or directory
The default plymouth plugin () doesn't exist

The plymouth complaints have always been there for me (this is a minimal system and is probably missing some specific package) but the "raid level" line is something I haven't seen before.  /proc/mdstat contains:

Personalities : [raid10] [raid1]
md0 : active raid1 sda2[0] sdd2[3] sdc2[2] sdb2[1]
      262080 blocks [4/4] [UUUU]

md1 : inactive sda1[0] sdd1[3] sdc1[2] sdb1[1]
      134217472 blocks

md2 : active raid10 sda3[0] sdd3[3] sdc3[2] sdb3[1]
      1885886720 blocks 64K chunks 2 near-copies [4/4] [UUUU]

unused devices: <none>

As far as I can tell, this doesn't hurt anything.  It just seems that mkinitrd doesn't have any specific code to handle the different format of the 'inactive' lines.
Comment 1 Bug Zapper 2009-06-09 11:47:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Hans de Goede 2010-01-12 10:32:08 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.